Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Interface MonoLibrary.MonoTypeEnum

Enclosing interface:
  MonoLibrary

    public static interface MonoLibrary.MonoTypeEnum

native declaration : mono\metadata\blob.h
enum values

Field Summary
`static int` | `MONO_TYPE_ARRAY`
`static int` | `MONO_TYPE_BOOLEAN`
`static int` | `MONO_TYPE_BYREF`
`static int` | `MONO_TYPE_CHAR`
`static int` | `MONO_TYPE_CLASS`
`static int` | `MONO_TYPE_CMOD_OPT`
`static int` | `MONO_TYPE_CMOD_REQD`
`static int` | `MONO_TYPE_END`
`static int` | `MONO_TYPE_ENUM`
`static int` | `MONO_TYPE_FNPTR`
`static int` | `MONO_TYPE_GENERICINST`
`static int` | `MONO_TYPE_I`
`static int` | `MONO_TYPE_I1`
`static int` | `MONO_TYPE_I2`
`static int` | `MONO_TYPE_I4`
`static int` | `MONO_TYPE_I8`
`static int` | `MONO_TYPE_INTERNAL`
`static int` | `MONO_TYPE_MODIFIER`
`static int` | `MONO_TYPE_MVAR`
`static int` | `MONO_TYPE_OBJECT`
`static int` | `MONO_TYPE_PINNED`
`static int` | `MONO_TYPE_PTR`
`static int` | `MONO_TYPE_R4`
`static int` | `MONO_TYPE_R8`
`static int` | `MONO_TYPE_SENTINEL`
`static int` | `MONO_TYPE_STRING`
`static int` | `MONO_TYPE_SZARRAY`
`static int` | `MONO_TYPE_TYPEDBYREF`
`static int` | `MONO_TYPE_U`
`static int` | `MONO_TYPE_U1`
`static int` | `MONO_TYPE_U2`
`static int` | `MONO_TYPE_U4`
`static int` | `MONO_TYPE_U8`
`static int` | `MONO_TYPE_VALUETYPE`
`static int` | `MONO_TYPE_VAR`
`static int` | `MONO_TYPE_VOID`

Field Detail

### MONO_TYPE_END

    static final int MONO_TYPE_END

See Also:
  Constant Field Values

### MONO_TYPE_VOID

    static final int MONO_TYPE_VOID

See Also:
  Constant Field Values

### MONO_TYPE_BOOLEAN

    static final int MONO_TYPE_BOOLEAN

See Also:
  Constant Field Values

### MONO_TYPE_CHAR

    static final int MONO_TYPE_CHAR

See Also:
  Constant Field Values

### MONO_TYPE_I1

    static final int MONO_TYPE_I1

See Also:
  Constant Field Values

### MONO_TYPE_U1

    static final int MONO_TYPE_U1

See Also:
  Constant Field Values

### MONO_TYPE_I2

    static final int MONO_TYPE_I2

See Also:
  Constant Field Values

### MONO_TYPE_U2

    static final int MONO_TYPE_U2

See Also:
  Constant Field Values

### MONO_TYPE_I4

    static final int MONO_TYPE_I4

See Also:
  Constant Field Values

### MONO_TYPE_U4

    static final int MONO_TYPE_U4

See Also:
  Constant Field Values

### MONO_TYPE_I8

    static final int MONO_TYPE_I8

See Also:
  Constant Field Values

### MONO_TYPE_U8

    static final int MONO_TYPE_U8

See Also:
  Constant Field Values

### MONO_TYPE_R4

    static final int MONO_TYPE_R4

See Also:
  Constant Field Values

### MONO_TYPE_R8

    static final int MONO_TYPE_R8

See Also:
  Constant Field Values

### MONO_TYPE_STRING

    static final int MONO_TYPE_STRING

See Also:
  Constant Field Values

### MONO_TYPE_PTR

    static final int MONO_TYPE_PTR

See Also:
  Constant Field Values

### MONO_TYPE_BYREF

    static final int MONO_TYPE_BYREF

See Also:
  Constant Field Values

### MONO_TYPE_VALUETYPE

    static final int MONO_TYPE_VALUETYPE

See Also:
  Constant Field Values

### MONO_TYPE_CLASS

    static final int MONO_TYPE_CLASS

See Also:
  Constant Field Values

### MONO_TYPE_VAR

    static final int MONO_TYPE_VAR

See Also:
  Constant Field Values

### MONO_TYPE_ARRAY

    static final int MONO_TYPE_ARRAY

See Also:
  Constant Field Values

### MONO_TYPE_GENERICINST

    static final int MONO_TYPE_GENERICINST

See Also:
  Constant Field Values

### MONO_TYPE_TYPEDBYREF

    static final int MONO_TYPE_TYPEDBYREF

See Also:
  Constant Field Values

### MONO_TYPE_I

    static final int MONO_TYPE_I

See Also:
  Constant Field Values

### MONO_TYPE_U

    static final int MONO_TYPE_U

See Also:
  Constant Field Values

### MONO_TYPE_FNPTR

    static final int MONO_TYPE_FNPTR

See Also:
  Constant Field Values

### MONO_TYPE_OBJECT

    static final int MONO_TYPE_OBJECT

See Also:
  Constant Field Values

### MONO_TYPE_SZARRAY

    static final int MONO_TYPE_SZARRAY

See Also:
  Constant Field Values

### MONO_TYPE_MVAR

    static final int MONO_TYPE_MVAR

See Also:
  Constant Field Values

### MONO_TYPE_CMOD_REQD

    static final int MONO_TYPE_CMOD_REQD

See Also:
  Constant Field Values

### MONO_TYPE_CMOD_OPT

    static final int MONO_TYPE_CMOD_OPT

See Also:
  Constant Field Values

### MONO_TYPE_INTERNAL

    static final int MONO_TYPE_INTERNAL

See Also:
  Constant Field Values

### MONO_TYPE_MODIFIER

    static final int MONO_TYPE_MODIFIER

See Also:
  Constant Field Values

### MONO_TYPE_SENTINEL

    static final int MONO_TYPE_SENTINEL

See Also:
  Constant Field Values

### MONO_TYPE_PINNED

    static final int MONO_TYPE_PINNED

See Also:
  Constant Field Values

### MONO_TYPE_ENUM

    static final int MONO_TYPE_ENUM

See Also:
  Constant Field Values

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD